Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Link_Attributes< IF > Class Template Reference

`#include <Trader_T.h>`

Inheritance diagram for TAO_Link_Attributes< IF >:

[legend]
Collaboration diagram for TAO_Link_Attributes< IF >:

[legend]
List of all members.

## Public Methods
| TAO_Link_Attributes (const TAO_Link_Attributes_i &attrs)
virtual CosTrading::FollowOption | max_link_follow_policy (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
## Private Attributes
const TAO_Link_Attributes_i & | attrs_

### template<class IF>
class TAO_Link_Attributes< IF >

## Constructor & Destructor Documentation

template<class IF>
TAO_Link_Attributes< IF >::TAO_Link_Attributes | ( | const TAO_Link_Attributes_i & | attrs | ) |

## Member Function Documentation

template<class IF>
CosTrading::FollowOption TAO_Link_Attributes< IF >::max_link_follow_policy | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

template<class IF>
const TAO_Link_Attributes_i& TAO_Link_Attributes< IF >::attrs_`[private]`

The documentation for this class was generated from the following files:

- Trader_T.h
- Trader_T.cpp